Subject: Re: [PATCH 2/5] diff: allow --patch to override -s/--no-patch

From: Matthieu Moy <[email-masked]>
Date: Mon, 15 Jul 2013 17:28:08 +0200

Junio C Hamano <[email-masked]> writes:

> I am wondering if the difference after this patch between "-p" and
> "-U8" is deliberate, or just an accident coming from the way the
> original was written in ee1e5412 (git diff: support "-U" and
> "--unified" options properly, 2006-05-13).

No, it isn't. I just didn't notice the -U case.

> If the original were written in this way:
>
> 	if (!strcmp(arg, "-p") || !strcmp(arg, "-u") || !strcmp(arg, "--patch") ||
>             opt_arg(arg, 'U', "unified", &options->context))
>   		options->output_format |= DIFF_FORMAT_PATCH;

Yes, this seems to be a better way.

There are other cases like --patch-with-raw, I'll send a reroll.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/